# Quick start

1) Create an empty database
1) Create the configuration file (default ~/.config/smon.yaml)
1) Run ./smon (will create the database schema)

# Configuration

```yaml
network:
  address: "[::]"
  port: 9000

websocket:
  domains:
    - localhost
    - smon.example.com

database:
  host: localhost
  port: 5432
  name: smon
  username: smon
  password: you_wish

session:
  daysvalid: 31

application:
  logfile: /var/log/smon.log
  nodata_interval: 60
```

# Data from systems to datapoints

`curl -d "$(time +'%F %T +02')" http://localhost:9000/entry/datapoint_name`
